View Issue Details

IDProjectCategoryView StatusLast Update
0005265SymmetricDSImprovementpublic2022-04-26 19:02
Reporteremiller Assigned Toemiller  
Prioritynormal 
Status resolvedResolutionfixed 
Product Version3.13.0 
Target Version3.14.0Fixed in Version3.14.0 
Summary0005265: Update drivers, modules, and libraries
DescriptionGo through the drivers, modules, and libraries used by SymmetricDS and update any of them that have newer versions available. This does not include dependencies that have security vulnerabilities or serious defects (see issue 5264).
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.14 7bcd4d62

2022-04-20 15:40:21

evan-miller-jumpmind

Details Diff
0005265: Updated drivers, modules, and libraries and fixed build errors Affected Issues
0005265
mod - symmetric-assemble/common.gradle Diff File
mod - symmetric-assemble/standalone.publish.gradle Diff File
mod - symmetric-client/build.gradle Diff File
mod - symmetric-client/src/main/resources/symmetric-modules.properties Diff File
mod - symmetric-core/build.gradle Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/util/KeystoreTypedPropertiesFactory.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/util/PropertiesUtil.java Diff File
mod - symmetric-db/build.gradle Diff File
mod - symmetric-io/build.gradle Diff File
mod - symmetric-io/src/test/java/org/jumpmind/symmetric/io/data/writer/DatabaseWriterConflictTest.java Diff File
mod - symmetric-jdbc/build.gradle Diff File
mod - symmetric-server/build.gradle Diff File
mod - symmetric-sqlexplorer/build.gradle Diff File
mod - symmetric-util/build.gradle Diff File
mod - symmetric-util/src/main/java/org/jumpmind/security/AzureKeyVaultSecurityService.java Diff File

SymmetricDS: 3.14 167d0d17

2022-04-26 18:31:03

evan-miller-jumpmind

Details Diff
0005265: Updated hbase libraries Affected Issues
0005265
mod - symmetric-client/build.gradle Diff File
mod - symmetric-client/src/main/resources/symmetric-modules.properties Diff File

Issue History

Date Modified Username Field Change
2022-04-08 17:45 emiller New Issue
2022-04-08 17:45 emiller Status new => assigned
2022-04-08 17:45 emiller Assigned To => emiller
2022-04-20 15:49 emiller Status assigned => resolved
2022-04-20 15:49 emiller Resolution open => fixed
2022-04-20 15:49 emiller Fixed in Version => 3.14.0
2022-04-20 16:00 Changeset attached => SymmetricDS 3.14 7bcd4d62
2022-04-26 19:02 Changeset attached => SymmetricDS 3.14 167d0d17